import { Expose, Type } from 'class-transformer';
import { CarritoMinOutputDto } from '../../../carrito/dto/output/carrito-min.dto';
import { OperadorMinOutputDto } from '../../../operador/dto/output/operador-min.dto';

export class CarritoMotivoLabMovilOutputDto {
  @Expose()
  id_motivo;

  @Expose()
  fecha_creacion;

  @Expose()
  laboratorioMovil;

  @Expose()
  motivo;

  @Expose()
  @Type(() => CarritoMinOutputDto)
  carrito;

  @Expose()
  @Type(() => OperadorMinOutputDto)
  operador;
}
